Cancel resource pending plan
- DELETE /deployments/{deployment_id}/{resource_kind}/{ref_id}/plan/pending
Cancels the pending plan of a Resource belonging to a given Deployment.
Path Parameters
-
deployment_idstringrequired -
Identifier for the Deployment
-
resource_kindrequired -
The kind of resource
-
Values:
elasticsearchkibanaapmappsearchenterprise_searchintegrations_server -
ref_idstringrequired -
User-specified RefId for the Resource (or '_main' if there is only one)
Query Parameters
-
force_deleteboolean · default: false When
true, deletes the pending plan instead of attempting a graceful cancellation. The default isfalse.-
ignore_missingboolean · default: false When
true, returns successfully, even when plans are missing. The default isfalse.
Responses
Standard Deployment Resource Crud Response
The Resource does not have a pending plan. (code: deployments.resource_does_not_have_a_pending_plan)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
The Deployment specified by {deployment_id} cannot be found. (code: deployments.deployment_not_found)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
Vacate plans can only be cancelled by platform administrators. (code: deployments.vacate_plan_cancellation_restricted)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response
We have failed you. (code: deployments.deployment_resource_no_longer_exists)
-
errorsBasicFailedReplyElementrequired -
A list of errors that occurred in the failing request
Response Headers
-
x-cloud-error-codes The error codes associated with the response